{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Oportunidades'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/renewal_edit.twig" %}

    {% include "template/partial/modal/contact.twig" %}

{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}

    <script>
        $(document).ready(function () {

            /////////////////////////

            $(".sf-bpop").click(function () {
                var json = objectifyForm($('#form-bpop').serializeArray());

                if ($("#keyword").val() == "" && $("#sku").val() == "" && $("#hardware").val() == "") {
                    notify('Debe completar al menos un campo de búsqueda!', 'warning');
                    return;
                }

                var brand = 0;
                var keyword = $("#keyword").val();
                var sku = $("#sku").val();
                var hardware = $("#hardware").val();

                if (keyword == "") {
                    keyword = "-";
                }
                if (sku == "") {
                    sku = "-";
                }
                if (hardware == "") {
                    hardware = "-";
                }

                /////////

                $.ajax({
                    type: "GET",
                    url: "../oportunidad/jsonProductos/" + brand + "/" + sku + "/" + keyword + "/" + hardware,
                    /*data: json,*/
                    dataType: "JSON",
                    success: function (data) {
                        $('#elementsTable').html("");

                        for (var i in data) {
                            if (data[i].family && data[i].family != "") {
                                $('#elementsTable').append("<tr onclick=\"$('#producto').val('" + data[i].sku + "'); $('#modalProducts').modal('hide');\">" +
                                        "<td>" + data[i].family + "</td>" +
                                        "<td>" + data[i].item + "</td>" +
                                        "<td>" + data[i].type + "</td>" +
                                        "<td>" + data[i].sku + "</td>" +
                                        "<td>" + data[i].description1 + "</td>" +
                                        "<td>" + data[i].price + "</td>" +
                                        "<td>" + data[i].category + "</td>" +
                                        "</tr>");
                            }
                        }

                    },
                    error: function (data) {
                        console.log(data);
                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });
            });



            //////////////////////////////////////////////


            //Selection
            $("#data-table-selection-renovations").bootgrid({
                css: {
                    icon: 'zmdi icon',
                    iconColumns: 'zmdi-view-module',
                    iconDown: 'zmdi-expand-more',
                    iconRefresh: 'zmdi-refresh',
                    iconUp: 'zmdi-expand-less'
                },
                templates: {
                    header: "",
                },
                selection: true,
                multiSelect: true,
                rowSelect: true,
                keepSelection: true,
                formatters: {
                    "commands": function (column, row) {
                        //return "<button type=\"button\" class=\"btn btn-icon command-edit waves-effect waves-circle\" title=\"Crear Oportunidad\" data-row-id=\"" + row.id + "\"><span class=\"zmdi zmdi-time-restore\"></span></button> " + 
                        return "<button type=\"button\" class=\"btn btn-icon command-edit crear-renovacion waves-effect waves-circle\" title=\"Ver productos a renovar\" data-row-id=\"" + row.client_id + "\"><a href='editar/" + row.client_id + "'><span class=\"zmdi zmdi-eye c-purple\"></span></a></button>";
                    },
                    "clientes": function (column, row) {
                        return "<a href='editar/" + row.client_id + "'>" + row.cliente + "</a>";
                    },
                    "productos": function (column, row) {
                        return "<b>" + row.productid + "</b><br>" + row.producto + "";
                    },
                    "vencimientos": function (column, row) {
                        var meses = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
                        var f = new Date();

                        var fentera = f.getFullYear() + "" + meses[f.getMonth()] + "" + ((f.getDate() < 10) ? "0" + f.getDate() : f.getDate());

                        if (Math.round(row.fechaentera) < Math.round(fentera)) {
                            return "<b style='color:#ff0000;'>" + row.vencimiento + "</b>";
                        } else if (Math.round(row.fechaentera) === Math.round(fentera)) {
                            return "<b style='color:#4AAE52;'>" + row.vencimiento + "</b>";
                        } else {
                            return "<b>" + row.vencimiento + "</b>";
                        }
                    }
                }
            });

            //////////////////////////////////////////////

            /******************************************************************/

            $(".sf-opcn").click(function () {
                var json = objectifyForm($('#form-ccop').serializeArray());

                /////////

                if ($("#contact_name").val() == "") {
                    notify('Campo Nombre Contacto es requerido!', 'warning');
                    $(".fopc1Has").addClass("has-warning");
                    return false;
                } else {
                    $(".f1Has").removeClass("has-warning");
                }

                if ($("#contact_lastname").val() == "") {
                    notify('Campo Apellido Contacto es requerido!', 'warning');
                    $(".fopc2Has").addClass("has-warning");
                    return false;
                } else {
                    $(".f2Has").removeClass("has-warning");
                }

                if ($("#contact_email").val() == "") {
                    notify('Campo Email es requerido!', 'warning');
                    $(".fopc3Has").addClass("has-warning");
                    return false;
                } else {
                    $(".f3Has").removeClass("has-warning");
                }

                if ($("#contact_phone").val() == "") {
                    notify('Campo Teléfono Contacto es requerido!', 'warning');
                    $(".fopc4Has").addClass("has-warning");
                    return false;
                } else {
                    $(".f4Has").removeClass("has-warning");
                }

                ////////

                $.ajax({
                    type: "POST",
                    url: "../crearContacto/{{opportunity.opportunity_id}}/{{opportunity.client_id}}",
                    data: json,
                    dataType: "JSON",
                    success: function (data) {
                        console.log(data);

                        notify('Informacion registrada correctamente!', 'success');

                        setTimeout(function () {
                            window.location.reload();
                        }, 1000);
                    },
                    error: function (data) {
                        console.log(data);

                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });

                $('#form-ccop')[0].reset();

            });

            /******************************************************************/

            //////////////////////////////////////////////

            var dataSource2 = new Bloodhound({
                datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
                queryTokenizer: Bloodhound.tokenizers.whitespace,
                prefetch: {
                    url: "{{base_url()}}/oportunidad/jsonClientes"
                }
            });
            $('.typeclients').typeahead({
                hint: true,
                cache: false,
                ttl: 60000,
                highlight: true,
                minLength: 1
            },
                    {
                        displayKey: 'name',
                        name: 'clients',
                        valueKey: 'id',
                        source: dataSource2.ttAdapter()
                    }).bind("typeahead:selected", function (obj, datum, name) {
                if (this.id == "client_id") {
                    $("#client_id_value").val(datum.id);
                    $("#companyId").attr("href", "../../cliente/editar/" + datum.id);
                    $.ajax({
                        type: "GET",
                        url: "{{base_url()}}/oportunidad/jsonContactos/" + datum.id,
                        dataType: "JSON",
                        success: function (data) {
                            console.log(data);
                            $('#contact_id_value').html("");
                            for (var i in data) {
                                $('#contact_id_value').append("<option value='" + data[i].id + "'>" + data[i].name + "</option>");
                            }

                            $('#contact_id_value').trigger("chosen:updated");
                        }
                    });
                }

                if (this.id == "opportunity_integrator_user_id") {
                    $("#opportunity_integrator_user_id_value").val(datum.id);
                }

                if (this.id == "opportunity_subclient_id") {
                    $("#opportunity_subclient_id_value").val(datum.id);
                }
            });


            /////////////////////////////

            var dataSource4 = new Bloodhound({
                datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
                queryTokenizer: Bloodhound.tokenizers.whitespace,
                prefetch: {
                    url: "{{base_url()}}/oportunidad/jsonClientes/Tercera Empresa",
                    cache: false
                }
            });

            $('.typeSubClient').typeahead({
                hint: true,
                cache: false,
                ttl: 60,
                highlight: true,
                minLength: 1
            },
                    {
                        displayKey: 'name',
                        name: 'clients',
                        valueKey: 'id',
                        source: dataSource4.ttAdapter()
                    }).bind("typeahead:selected", function (obj, datum, name) {
                if (this.id == "opportunity_subclient_id") {
                    $("#opportunity_subclient_id_value").val(datum.id);
                }
            });

            /////////////////////////


        });

        //////////////////////////////////////////////


        /******************************************************************/

        var dataSource3 = new Bloodhound({
            datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
            queryTokenizer: Bloodhound.tokenizers.whitespace,
            prefetch: {
                url: "{{base_url()}}/oportunidad/jsonContactos/{{client.client_id}}"
            }
        });

        $('.typecontacts').typeahead({
            hint: true,
            highlight: true,
            minLength: 1
        },
                {
                    displayKey: 'name',
                    valueKey: 'id',
                    name: 'contacts',
                    source: dataSource3.ttAdapter()
                }).bind("typeahead:selected", function (obj, datum, name) {
            if (this.id == "contact_id") {
                $("#contact_id_value").val(datum.id);

                $.ajax({
                    type: "GET",
                    url: "../infoContacto/" + datum.id,
                    dataType: "JSON",
                    success: function (data) {
                        console.log(data);

                        $("#contact_name").val(data["contact_name"]);
                        $("#contact_lastname").val(data["contact_lastname"]);
                        $("#contact_email").val(data["contact_email"]);
                        $("#contact_phone").val(data["contact_phone"]);
                        $("#contact_celphone").val(data["contact_celphone"]);

                        $('#contact_type').val($.trim(data["contact_type"]));
                        $('#contact_type').trigger("chosen:updated");
                    },
                    error: function (data) {
                        console.log(data);
                        notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                    }
                });
            }
        });

        /******************************************************************/

        /******************************************************************/

        $(".contactDelete").click(function () {
            var id_contacto_oportunidad = $(this).data("value");
            var total_contactos = $("#total_contacts").val();

            if (total_contactos == 1) {
                notify('La oportunidad no puede quedar sin contactos, agregue nuevos para eliminar el actual.', 'warning');
                return false;
            }

            swal({
                title: "Está seguro de eliminar el contacto?",
                text: "Se eliminará del listado de la oportunidad!",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Si, eliminar!",
                cancelButtonText: "No, cancelar",
                closeOnConfirm: false
            }, function (isConfirm) {
                if (isConfirm) {

                    $.ajax({
                        type: "DELETE",
                        url: "../oportunidadEliminarContacto/",
                        data: {idcontactooportunidad: id_contacto_oportunidad},
                        dataType: "JSON",
                        success: function (data) {
                            console.log(data);

                            $("#ocid-" + id_contacto_oportunidad).fadeOut();

                            swal.close();
                        },
                        error: function (data) {
                            console.log(data);
                            notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                        }
                    });
                }
            });

        });

        /******************************************************************/

    </script>

{% endblock %}